// pages/components/PlatformFeeChart/PlatformFeeChart.js
let platforFeeChart = null;
let month = '';

function initChart(canvas, width, height, F2) {
  const data = [];
  platforFeeChart = new F2.Chart({
    el: canvas,
    width,
    height,
  });

  platforFeeChart.source(data, {
    days: {
      min: 1,
      max: 12,
    },
  });
  platforFeeChart.tooltip({
    showItemMarker: false,
    background: {
      radius: 2,
      fill: '#6895fe',
      padding: [6, 10],
    },
    onShow(ev) {
      const { items } = ev;
      items[0].name = '';
      items[0].value = month + '-' + items[0].title;
      items[1].name = '';
      items[1].value = items[1].value + '元';
    },
  });
  platforFeeChart
    .line()
    .position('month*totalMoney')
    .color('#6895fe')
    .shape('smooth')
    .size(4);
  platforFeeChart
    .area()
    .position('month*totalMoney')
    .color('l(90) 0:#6895fe 1:#fff')
    .shape('smooth')
    .style({
      fillOpacity: 0.6,
    });
  // platforFeeChart.axis('rechargeMoney', false);
  platforFeeChart.render();
  return platforFeeChart;
}

function findMaxIndex(list, key) {
  if (!list.length) return -1;
  let max = list[0][key];
  let maxIndex = 0;
  for (let index = 0; index < list.length; index++) {
    const element = list[index];
    if (element >= max) maxIndex = index;
  }
  return maxIndex;
}

Component({
  properties: {
    dataList: {
      type: Array,
      value: [],
      observer(newVal) {
        platforFeeChart && platforFeeChart.changeData(newVal);
        let index = findMaxIndex(newVal, 'totalMoney');
        if (index !== -1) {
          let item = newVal[index];
          const point = platforFeeChart.getPosition(item);
          platforFeeChart.showTooltip(point);
        }
      },
    },
    month: {
      type: String,
      value: '',
      observer(newVal) {
        month = newVal;
      },
    },
  },
  data: {
    opts: {
      onInit: initChart,
    },
  },
  methods: {
    clickHandle(e) {
      console.log(e);
      // let
      const obj = platforFeeChart.getRecord(e.detail);
      this.triggerEvent('selectedData', obj);
    },
  },
});
